apt: DynamicMMap Class Reference

apt 3.2.0 commandline package manager

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
DynamicMMap Class Reference
Inheritance diagram for DynamicMMap:

## Classes
struct | Pool

## Public Member Functions
unsigned long | RawAllocate (unsigned long long Size, unsigned long Aln=0)
unsigned long | Allocate (unsigned long ItemSize)
unsigned long | WriteString (const char *String, unsigned long Len=std::numeric_limits< unsigned long >::max())
unsigned long | WriteString (const std::string &S)
void | UsePools (Pool &P, unsigned int Count)
| DynamicMMap (FileFd &F, unsigned long Flags, unsigned long const &WorkSpace=2 *1024 *1024, unsigned long const &Grow=1024 *1024, unsigned long const &Limit=0)
| DynamicMMap (unsigned long Flags, unsigned long const &WorkSpace=2 *1024 *1024, unsigned long const &Grow=1024 *1024, unsigned long const &Limit=0)
Public Member Functions inherited from MMap
| operator void * ()
void * | Data ()
unsigned long long | Size ()
void | AddSize (unsigned long long const size)
bool | validData () const
bool | Sync ()
bool | Sync (unsigned long Start, unsigned long Stop)
| MMap (FileFd &F, unsigned long Flags)
| MMap (unsigned long Flags)

## Protected Member Functions
bool | Grow ()
Protected Member Functions inherited from MMap
bool | Map (FileFd &Fd)
bool | Close (bool DoSync=true)

## Protected Attributes
FileFd * | Fd
unsigned long | WorkSpace
unsigned long const | GrowFactor
unsigned long const | Limit
Pool * | Pools
unsigned int | PoolCount
Protected Attributes inherited from MMap
unsigned long | Flags
unsigned long long | iSize
void * | Base
FileFd * | SyncToFd

## Additional Inherited Members
Public Types inherited from MMap
enum | OpenFlags { NoImmMap = (1<<0) , Public = (1<<1) , ReadOnly = (1<<2) , UnMapped = (1<<3) , Moveable = (1<<4) , Fallback = (1 << 5) }

The documentation for this class was generated from the following files:

- apt-pkg/contrib/mmap.h
- apt-pkg/contrib/mmap.cc